| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Base64 Class Reference

List of all members.

## Public Types

enum | Conformance { Conf_RFC2045, Conf_Schema }

## Static Public Methods

XMLCh * | getCanonicalRepresentation (const XMLCh *const inputData, MemoryManager *const memMgr=0, Conformance conform=Conf_RFC2045)
| get canonical representation. More...
XMLByte * | encode (const XMLByte *const inputData, const unsigned int inputLength, unsigned int *outputLength, MemoryManager *const memMgr=0)
| Encodes octets into Base64 data. More...
XMLByte * | decode (const XMLByte *const inputData, unsigned int *decodedLength, MemoryManager *const memMgr=0, Conformance conform=Conf_RFC2045)
| Decodes Base64 data into octets. More...
XMLCh * | decode (const XMLCh *const inputData, unsigned int *decodedLength, MemoryManager *const memMgr=0, Conformance conform=Conf_RFC2045)
| Decodes Base64 data into XMLCh. More...
int | getDataLength (const XMLCh *const inputData, MemoryManager *const memMgr=0, Conformance conform=Conf_RFC2045)
| Get data length. More...

## Member Enumeration Documentation

enum Base64::Conformance

Enumeration values:

  Conf_RFC2045 |
  Conf_Schema |

## Member Function Documentation

XMLCh* Base64::decode | ( | const XMLCh *const | inputData,
|  | unsigned int * | decodedLength,
|  | MemoryManager *const | memMgr = 0,
|  | Conformance | conform = Conf_RFC2045
| ) | `[static]`

Decodes Base64 data into XMLCh.

NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer.

If a memory manager is provided, ask the memory manager to de-allocate the returned buffer.

Parameters:

  inputData | Base64 data in XMLCh stream.
  decodedLength | Length of decoded XMLCh stream
  memMgr | client provided memory manager
  conform | conformance specified

Returns:
  Decoded binary data in XMLCh stream, or NULL if input data can not be decoded.

See also:
  XMLString::release(XMLCh**)

XMLByte* Base64::decode | ( | const XMLByte *const | inputData,
|  | unsigned int * | decodedLength,
|  | MemoryManager *const | memMgr = 0,
|  | Conformance | conform = Conf_RFC2045
| ) | `[static]`

Decodes Base64 data into octets.

NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer.

If a memory manager is provided, ask the memory manager to de-allocate the returned buffer.

Parameters:

  inputData | Base64 data in XMLByte stream.
  decodedLength | Length of decoded XMLByte stream.
  memMgr | client provided memory manager
  conform | conformance specified

Returns:
  Decoded binary data in XMLByte stream, or NULL if input data can not be decoded.

See also:
  XMLString::release(XMLByte**)

XMLByte* Base64::encode | ( | const XMLByte *const | inputData,
|  | const unsigned int | inputLength,
|  | unsigned int * | outputLength,
|  | MemoryManager *const | memMgr = 0
| ) | `[static]`

Encodes octets into Base64 data.

NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. You can call XMLString::release to release this returned buffer.

If a memory manager is provided, ask the memory manager to de-allocate the returned buffer.

Parameters:

  inputData | Binary data in XMLByte stream.
  inputLength | Length of the XMLByte stream.
  outputLength | Length of the encoded Base64 byte stream.
  memMgr | client provided memory manager

Returns:
  Encoded Base64 data in XMLByte stream, or NULL if input data can not be encoded.

See also:
  XMLString::release(XMLByte**)

XMLCh* Base64::getCanonicalRepresentation | ( | const XMLCh *const | inputData,
|  | MemoryManager *const | memMgr = 0,
|  | Conformance | conform = Conf_RFC2045
| ) | `[static]`

get canonical representation.

Caller is responsible for the proper deallcation of the string returned.

Parameters:

  inputData | A string containing the Base64
  memMgr | client provided memory manager
  conform | conformance specified

return: the canonical representation of the Base64 if it is a valid Base64 0 otherwise

int Base64::getDataLength | ( | const XMLCh *const | inputData,
|  | MemoryManager *const | memMgr = 0,
|  | Conformance | conform = Conf_RFC2045
| ) | `[static]`

Get data length.

Returns length of decoded data given an array containing encoded data.

Parameters:

  inputData | Base64 data in XMLCh stream.
  memMgr | client provided memory manager
  conform | conformance specified

Returns:
  Length of decoded data, or -1 if input data can not be decoded.

The documentation for this class was generated from the following file:

- Base64.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.